%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Pitivi non linear video editor under Linux
Name:		pitivi
Version: 	0.15.2
Release: 	%mkrel 2
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		Video
URL:		http://www.pitivi.org
BuildArch:      noarch
BuildRequires:	python-devel
BuildRequires: 	desktop-file-utils
BuildRequires: 	intltool
BuildRequires:	gnome-doc-utils
Requires:	python-zope-interface
Requires:	python-pkg-resources
Requires:	pygtk2.0-libglade
Requires:	gnome-python
Requires:	gnome-python-gnomevfs
Requires:	gstreamer0.10-python >= 0.10.19
Requires:	gstreamer0.10-plugins-base >= 0.10.24
Requires:       gstreamer0.10-plugins-good
Requires:       gstreamer0.10-plugins-bad
Requires:       gstreamer0.10-plugins-ugly
Requires:       gstreamer0.10-ffmpeg
Requires:	gnonlin >= 0.10.16
Requires:	frei0r-plugins
Requires:	python-pygoocanvas
Requires:	python-dbus
Requires:	python-pyxdg

%description
Non Linear Video Editor using the popular GStreamer media framework.

%prep
%setup -q
%apply_patches

# install python files to %%python_sitelib/pitivi
find . -name Makefile.am -exec sed -i -e 's|$(libdir)/pitivi/python/pitivi|$(pkgpythondir)|g' {} \;
find . -name Makefile.in -exec sed -i -e 's|$(libdir)/pitivi/python/pitivi|$(pkgpythondir)|g' {} \;

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="X-Red-Hat-Base" \
  --remove-category="X-Ximian-Main" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%find_lang %{name} --with-gnome

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS  ChangeLog NEWS RELEASE
%{python_sitelib}/%{name}
%{_datadir}/pitivi/
%{_bindir}/pitivi
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml


%changelog
* Sat Aug 17 2013 billybot <billybot> 0.15.0-2pclos2013
- update python 2.7

* Thu Nov 17 2011 Texstar <texstar at gmail.com> 0.15.0-1pclos2011
- 0.15.0
